%define name	pcp	
%define	version	0.3.2	
%define release	10mdk
%define lib_name_orig	lib%{name}
%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}

Summary:  	Pcp is a tool for replicating files on multiple nodes of a PC cluster	
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/File transfer
URL:		http://www.cs.berkeley.edu/~bnc/pcp/
Source:		%{name}-%{version}.tar.bz2
Source1:	pcpd
Source2:	README.pcp
Patch0:		pcp-Makefile.in.patch.bz2
Requires:	openssh-clients, openssh-server, authd >= 0.2, xinetd, tftp
Provides:	%{name}-%{version}
Buildrequires:	libe-devel >= 0.2.1, libauthd0-devel >= 0.2
Buildrequires:	openssl-devel
Packager:       Antoine Ginies <aginies@mandrakesoft.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}

%package	-n %{lib_name}-devel
Summary:        Pcp devel package
Provides:       %{name}-devel-%{version}
Group:          Development/Other

%description
pcp is a tool for replicating files on multiple nodes of a PC cluster. 
Replication is done by building an n-ary tree of TCP sockets and using 
parallelized, pipelined data transfers which use RSA authentication. 
For large file transfers or replication on many nodes, pcp provides highly 
efficient data transfers when compared to existing alternatives (e.g. NFS).

%description -n %{lib_name}-devel
pcp devel package.

%prep
%setup -q
%patch0 -p0 -b .patch
cp %{SOURCE2} $RPM_BUILD_DIR/%{name}-%{version}/README

%build
%configure 
make

%install
rm -rf ${buildroot}

mkdir -p %{buildroot}/etc/xinetd.d
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
%makeinstall 
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/xinetd.d/pcpd

%clean
rm -fr %{buildroot}

%post
# mise a jour /etc/services if needed
CHECK_PORT=`grep 2850 /etc/services`
if [ -z "$CHECK_PORT" ]; then
        echo "# Port needed by pcpd" >> /etc/services
        echo "pcp             2850/tcp                      # Caltech pcp" >> /etc/services
fi

service xinetd condrestart 

%postun
service xinetd condrestart 

%files
%defattr(-,root,root) 
%doc INSTALL ChangeLog AUTHORS README
%config(noreplace) %{_sysconfdir}/xinetd.d/pcpd
%{_bindir}/pcp
%{_sbindir}/pcpd

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc INSTALL AUTHORS ChangeLog
%{_includedir}/pcp_lib.h
%{_libdir}/libpcp.a

%changelog
* Fri Jun 11 2004 Erwan Velu <erwan@mandrakesoft.com> 0.3.2-10mdk 
- Rebuild
- removing %make (parallel build is not working)
* Fri Sep 05 2003 Michael Scherer <scherer.michael@free.fr> 0.3.2-9mdk 
- Buildrequires openssl-devel
- spec cleanup
* Thu Feb 13 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.3.2-8mdk
- rebuild
* Tue Aug 6 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.3.2-7mdk
- build with gcc 3.2
* Thu Jul 11 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.3.2-6mdk
- Build on 8.2 with 2.96
* Tue Jun 25 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.3.2-5mdk
- fix %post tag
* Thu Jun 20 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.3.2-4mdk
- fix %postun, and add require to tftp
* Tue May 21 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.3.2-3mdk
- include README 
* Fri May 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.3.2-2mdk
- build gcc 3.1
* Tue May 7 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.3.2-1mdk
- new release
* Tue Apr 23 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.3.1-5mdk
- Add README base on web site of pcp 
* Tue Apr 16 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.3.1-4mdk
- first release for Mandrakesoft
